Bug 1351602 - Type1 fonts missing in texlive-gothic
Summary: Type1 fonts missing in texlive-gothic
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-30 12:17 UTC by Martin Gieseking
Modified: 2016-10-28 00:40 UTC (History)
3 users (show)

Fixed In Version: texlive-2016-17.20160520.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 00:40:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Gieseking 2016-06-30 12:17:54 UTC
The package texlive-gothic doesn't provide the Type 1 fonts present in the original gothic package from CTAN [1]. However, the missing files (yfrak.pfb, ygoth.pfb, and yswab.pfb) are referenced in ps2pk.map and psfonts.map so that dvips shows an error message when trying to convert a DVI file that requires yfrak for example.

If they haven't been removed intentionally, I suggest to add the pfb files again.

[1] https://www.ctan.org/pkg/gothic

Comment 1 Tom "spot" Callaway 2016-09-28 16:27:11 UTC
They were removed intentionally due to a non-free license, but, since these files are clearly useful, I tracked down the copyright holder for the yfonts-t1 component and got permission for them to be relicensed under the LPPL. They will show up in the texlive 2016 update headed at Fedora 25+.

Comment 2 Martin Gieseking 2016-09-28 17:18:55 UTC
That's great. Thanks for clarifying the license situation and for adding the files again.

Comment 3 Fedora Update System 2016-10-05 20:30:33 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-5.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 4 Fedora Update System 2016-10-06 20:59:33 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-6.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 5 Fedora Update System 2016-10-09 12:30:36 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-7.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 6 Fedora Update System 2016-10-26 20:33:34 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-17.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 7 Fedora Update System 2016-10-28 00:40:33 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-17.20160520.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.